﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.DotProlog.Errors;
using OpcLabs.DotProlog.Execution;
using OpcLabs.DotProlog.Terms;
using OpcLabs.DotProlog.Test;

namespace DotPrologTest.Execution
{
    [TestClass]
    // ReSharper disable once InconsistentNaming
    public class Throw_1_Test : ExecutionTest
    {
        #region Test Methods
        // ReSharper disable InconsistentNaming

        [TestMethod]
        public void Test_7_8_10_3_Errors_a()
        {
            using (IEngine engine = new Engine())
            {
                Term goal = Parse("throw(B). ");
                TestError(engine, goal, ErrorTerms.InstantiationError);
            }
        }

        [TestMethod]
        public void Test_7_8_10_3_Errors_b()
        {
            using (IEngine engine = new Engine())
            {
                Term goal = Parse("throw(unknown). ");
                TestError(engine, goal, ErrorTerms.SystemError);
            }
        }

        // ReSharper restore InconsistentNaming
        #endregion
    }
}
