﻿using System;
using System.IO;
using System.Runtime.InteropServices;
using JetBrains.Annotations;
using OpcLabs.BaseLib.OperationModel;

namespace OpcLabs.BaseLibFactory.OperationModel
{
    static public class OperationEventArgsInstances
    {
        [NotNull]
        static public OperationEventArgs Instance0 => new OperationEventArgs();

        [NotNull]
        static public OperationEventArgs Instance1 => new OperationEventArgs
        {
            ErrorId = "-1",
            ErrorMessage = "TestMessage1"
        };

        [NotNull]
        static public OperationEventArgs Instance2 => new OperationEventArgs
        {
            ErrorId = "-2",
            Exception = new COMException("TestMessage2"),
            Diagnostics = { new ApplicationException("Diagnostics1", new IOException("Diagnostics2"))}
        };
    }
}
