﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.Text;

namespace OpcLabs.BaseLibFactory.Text
{
    static public class MacroExpanderInstances
    {
        [NotNull]
        static public MacroExpander Empty => new MacroExpander();

        [NotNull]
        static public MacroExpander Instance1
        {
            get
            {
                var macroExpander = new MacroExpander();
                macroExpander.DefineMacro("Macro1", "Value1");
                macroExpander.DefineMacro("mAcRo2", "vAlUe2");
                macroExpander.DefineMacro("MACRO3", "VALUE3");
                return macroExpander;
            }
        }
    }
}
