﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Engine;
using OpcLabs.EasyOpcFactory.UA.Administration;

namespace OpcLabs.EasyOpcFactory.UA.Engine
{
    static public class UAClientApplicationParametersInstances
    {
        [NotNull]
        static public UAClientServerApplicationParameters Instance1 => new UAClientServerApplicationParameters
        {
            AllowOwnCertificatePrompt = true,
            ApplicationManifest = UAApplicationManifestInstances.Instance1,
        };

        [NotNull]
        static public UAClientServerApplicationParameters Instance2 => new UAClientServerApplicationParameters
        {
            ApplicationManifest = UAApplicationManifestInstances.Instance2
        };
    }
}
