﻿
using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Engine;

namespace OpcLabs.EasyOpcFactory.UA.Engine
{
    static public class UADiscoveryParametersInstances
    {
        [NotNull]
        static public UADiscoveryParameters Instance1 => new UADiscoveryParameters
        {
            DiscoveryTimeout = 11111,
        };

        [NotNull]
        static public UADiscoveryParameters Instance2 => new UADiscoveryParameters
        {
            CheckApplicationDescription = true,
        };

        [NotNull]
        static public UADiscoveryParameters Instance3 => new UADiscoveryParameters
        {
            ParallelDiscovery = false,
        };

        [NotNull]
        static public UADiscoveryParameters Instance4 => new UADiscoveryParameters
        {
            ReturnSameSites = true,
        };
    }
}
