﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Filtering;

namespace OpcLabs.EasyOpcFactory.UA.Filtering
{
    static public class UAContentFilterElementInstances
    {
        // IMPROVE: have this, after we figure out how to exclude it from some serializations and copy ctor tests
        //[NotNull]
        //static public UAContentFilterElement Cyclic
        //{
        //    get
        //    {
        //        var result = new UAContentFilterElement(UAFilterOperator.And);
        //        result.Add(result);
        //        result.Add(UALiteralOperandInstances.Instance1);
        //        return result;
        //    }
        //}

        [NotNull] 
        static public UAContentFilterElement Instance1 => new UAContentFilterElement(UAFilterOperator.And, new UAFilterOperandCollection
            { UAAttributeOperandInstances.Instance3, UALiteralOperandInstances.Instance1 });

        [NotNull]
        static public UAContentFilterElement Instance2 => new UAContentFilterElement(UAFilterOperator.And, new UAFilterOperandCollection
            { UASimpleAttributeOperandInstances.Instance1, UALiteralOperandInstances.Instance1 });

        [NotNull]
        static public UAContentFilterElement Nested => new UAContentFilterElement(UAFilterOperator.And, new UAFilterOperandCollection
            { Instance1, UALiteralOperandInstances.Instance1 });
    }
}
