﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc;

namespace OpcLabs.EasyOpcFactory
{
    static public class ServerDescriptorInstances
    {
        [NotNull]
        static public ServerDescriptor Instance1 => new ServerDescriptor("", "company1.class1");

        [NotNull]
        static public ServerDescriptor Instance2 => new ServerDescriptor("mycomputer", "company1.class1");

        [NotNull]
        static public ServerDescriptor Instance3 => new ServerDescriptor("opcda:company1.class1");

        [NotNull]
        static public ServerDescriptor Instance4 => new ServerDescriptor("dcom:company1.class1/clsid");

        [NotNull]
        static public ServerDescriptor Instance5 => new ServerDescriptor("opcda://machine1/company1.class1");

        [NotNull]
        static public ServerDescriptor Instance6 => new ServerDescriptor("opcda://machine1/company1.class1/clsid");

        [NotNull]
        static public ServerDescriptor Instance7 => new ServerDescriptor("http://host2:8080/path2");

        [NotNull]
        static public ServerDescriptor Instance8 => new ServerDescriptor("https://host3:444/path3");

        [NotNull]
        static public ServerDescriptor Instance9 => new ServerDescriptor("opc.xmlda://host1/path1");
    }
}
