﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
#if (NETFRAMEWORK)
using OpcLabs.EasyOpcLiveTest.Legacy.LiveMapping._Testers;
#endif

namespace OpcLabs.EasyOpcLiveTest.UA.LiveMapping
{
    [TestClass]
    public class UAMapperTest
    {
        /* TODO:
        [TestCategory("Live")]
        [TestCategory("OpcUA")]
        [TestCategory("TimeDomain")]
        [TestMethod]
        public void EventTest()
        {
            var tester = new EventTester();
            tester.Test();
        }

        [TestCategory("Live")]
        [TestCategory("OpcUA")]
        [TestCategory("TimeDomain")]
        [TestMethod]
        public void EventVtqTest()
        {
            var tester = new EventVtqTester();
            tester.Test();
        }

        [TestCategory("Live")]
        [TestCategory("OpcUA")]
        [TestCategory("TimeDomain")]
        [TestMethod]
        public void NodeIdTemplateTest()
        {
            var tester = new ItemIdTemplateTester();
            tester.Test();
        }
         * */

        [TestCategory("Live")]
        [TestCategory("OpcUA")]
        [TestCategory("TimeDomain")]
        [TestMethod]
        public void NodeIdTest()
        {
            var tester = new NodeIdTester();
            tester.Test();
        }

        /* TODO:
        [TestCategory("Live")]
        [TestCategory("OpcUA")]
        [TestCategory("TimeDomain")]
        [TestMethod]
        public void MetaMemberTest()
        {
            var tester = new MetaMemberTester();
            tester.Test();
        }
         */

#if (NETFRAMEWORK)
        [TestCategory("Live")]
        [TestCategory("OpcUA")]
        [TestMethod]
        public void ReadTest()
        {
            var tester = new SimpleTester();
            tester.ReadTest();
        }
#endif

/* TODO:
[TestCategory("Live")]
[TestCategory("OpcUA")]
[TestCategory("TimeDomain")]
[TestMethod]
public void StaticEventTest()
{
    var tester = new StaticEventTester();
    tester.Test();
}
 */

#if (NETFRAMEWORK)
        [TestCategory("Live")]
        [TestCategory("OpcUA")]
        [TestCategory("TimeDomain")]
        [TestMethod]
        public void SubscribeTest()
        {
            var tester = new SimpleTester();
            tester.SubscribeTest();
        }
#endif

        [TestCategory("Live")]
        [TestCategory("OpcUA")]
        [TestMethod]
        public void TypelessMappingTest()
        {
            var tester = new TypelessMappingTester();
            tester.Test();
        }
    }
}
