﻿using JetBrains.Annotations;
using OpcLabs.BaseLib;
using OpcLabs.BaseLib.Navigation.Parsing;

namespace OpcLabs.BaseLibFactory.Parsing
{
    static public class BrowsePathFormatExceptionInstances
    {
        [NotNull]
        static public BrowsePathFormatException Instance1 => new BrowsePathFormatException(new StringParsingError(BrowsePathFormatErrorCode.BadlyFormedEscape), "string1");

        [NotNull]
        static public BrowsePathFormatException Instance2 => new BrowsePathFormatException(
            // ReSharper disable once LocalizableElement
            "TestMessage2",
            new StringParsingError(BrowsePathFormatErrorCode.UnknownReference));
    }
}
