﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.AlarmsAndEvents;
using OpcLabs.EasyOpcFactory.AlarmsAndEvents.Engine;

namespace OpcLabs.EasyOpcFactory.AlarmsAndEvents
{
    static public class EasyAEClientManagementInstances
    {
        [NotNull]
        static public EasyAEClientManagement Instance1 => new EasyAEClientManagement
        { 
            //AdaptableParameters = EasyAEAdaptableParametersInstances.Instance1,   // IMPROVE: have this when possible
            SharedParameters = EasyAESharedParametersInstances.Instance1,
        };
    }
}
