﻿using JetBrains.Annotations;
using OpcLabs.BaseLibFactory.Network;
using OpcLabs.EasyOpc.UA.Forms.Browsing;
using OpcLabs.EasyOpcFactory.UA.AddressSpace;
using OpcLabs.EasyOpcFactory.UA.Discovery;

namespace OpcLabs.EasyOpcFactory.UA.Forms.Browsing
{
    static public class UABrowseNodeElementInstances
    {
        [NotNull]
        static public UABrowseNodeElement Instance1 => new UABrowseNodeElement(
            HostElementInstances.Instance1,
            UADiscoveryElementInstances.Instance1,
            UANodeElementInstances.Instance1);
    }
}
