﻿
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.EasyOpc.DataAccess;

namespace OpcLabs.EasyOpcLiveTest.DataAccess
{
    // ReSharper disable once InconsistentNaming
    partial class EasyDAClientTest_Xml
    {
        [TestCategory("Live")]
        [TestCategory("OpcClassic")]
        [TestCategory("OpcDataAccess")]
        [TestMethod]
        public void BrowseNodesTest_Xml_Basic_Root()
        {
            BrowseNodesTest_Basic(DALiveTestEnvironment.OpcFoundation_XmlDaSampleServer.ServerDescriptors.Http, DANodeDescriptor.Root, 2);
        }
        
        [TestCategory("Live")]
        [TestCategory("OpcClassic")]
        [TestCategory("OpcDataAccess")]
        [TestMethod]
        public void BrowsePropertiesTest_Xml_UnknownItemId()
        {
            BrowsePropertiesTest_UnknownItemId(DALiveTestEnvironment.OpcFoundation_XmlDaSampleServer.ServerDescriptors.Http);
        }
    }
}
